Package com.pixelmed.dose

# Class CTDose

java.lang.Object
com.pixelmed.dose.CTDose

All Implemented Interfaces:
  `RadiationDoseStructuredReport`, `RadiationDoseStructuredReportFactory`

public class CTDose extends Object implements RadiationDoseStructuredReport, RadiationDoseStructuredReportFactory

## Field Summary

Fields
Modifier and Type
Field
Description
`protected ArrayList<CTDoseAcquisition>`
`acquisitions`
`protected CompositeInstanceContext`
`compositeInstanceContext`
`protected CodedSequenceItem`
`defaultAnatomy`
`protected String`
`description`
`protected SortedMap<CTPhantomType,String>`
`dlpSubTotals`
`protected String`
`dlpTotal`
`protected CTPhantomType`
`dlpTotalPhantom`
`protected String`
`endDateTime`
`protected static double`
`headToBodyDLPConversionFactor`
`protected AttributeList`
`list`
`protected CommonDoseObserverContext`
`observerContext`
`protected boolean`
`prohibitDLPTotalPhantomSettingFromAcquisitions`
`protected ScopeOfDoseAccummulation`
`scopeOfDoseAccummulation`
`protected String`
`scopeUID`
`protected SourceOfDoseInformation`
`source`
`protected String`
`sourceSOPInstanceUID`
`protected StructuredReport`
`sr`
`protected String`
`startDateTime`
`protected int`
`totalNumberOfIrradiationEvents`

## Constructor Summary

Constructors
Constructor
Description
`CTDose(AttributeList list)`
`CTDose(StructuredReport sr)`
`CTDose(StructuredReport sr, AttributeList list)`
`CTDose(ScopeOfDoseAccummulation scopeOfDoseAccummulation, String scopeUID, String startDateTime, String endDateTime, String description)`
`CTDose(String dlpTotal, int totalNumberOfIrradiationEvents, ScopeOfDoseAccummulation scopeOfDoseAccummulation, String scopeUID, String startDateTime, String endDateTime, String description)`
`CTDose(String dlpSubTotalHead, String dlpSubTotalBody, int totalNumberOfIrradiationEvents, ScopeOfDoseAccummulation scopeOfDoseAccummulation, String scopeUID, String startDateTime, String endDateTime, String description)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addAcquisition(CTDoseAcquisition acquisition)`
`CTDoseAcquisition`
`getAcquisition(int i)`
`AttributeList`
`getAttributeList()`
`CompositeInstanceContext`
`getCompositeInstanceContext()`
`CodedSequenceItem`
`getDefaultAnatomy()`
`String`
`getDescription()`
`String`
`getDescriptionOfWhereThisObjectCameFrom()`
`String`
`getDLPSubTotalBody()`
`String`
`getDLPSubTotalHead()`
`String`
`getDLPTotal()`
`String`
`getDLPTotalCombinedFromHeadAndBodyPhantomValues()`
`static double`
`getDLPTotalCombinedFromHeadAndBodyPhantomValues(double dlpSubTotalHead, double dlpSubTotalBody)`
`static String`
`getDLPTotalCombinedFromHeadAndBodyPhantomValues(String dlpSubTotalHead, String dlpSubTotalBody)`
`String`
`getDLPTotalFromAcquisitions()`
`CTPhantomType`
`getDLPTotalPhantom()`
`String`
`getDLPTotalPhantomDescriptionToUse()`
`CTPhantomType`
`getDLPTotalPhantomToUse()`
`String`
`getDLPTotalToUse()`
`String`
`getEndDateTime()`
`static String`
`getHTMLTableHeaderRow()`
`String`
`getHTMLTableRow(boolean detail)`
`int`
`getNumberOfAcquisitions()`
`CommonDoseObserverContext`
`getObserverContext()`
`ScopeOfDoseAccummulation`
`getScopeOfDoseAccummulation()`
`String`
`getScopeUID()`
`SourceOfDoseInformation`
`getSourceOfDoseInformation()`
`String`
`getSourceSOPInstanceUID()`
`String`
`getStartDateTime()`
`StructuredReport`
`getStructuredReport()`
`StructuredReport`
`getStructuredReport(boolean rebuild)`
`int`
`getTotalNumberOfIrradiationEvents()`
`RadiationDoseStructuredReport`
`makeRadiationDoseStructuredReportInstance(AttributeList list)`
`RadiationDoseStructuredReport`
`makeRadiationDoseStructuredReportInstance(StructuredReport sr)`
`RadiationDoseStructuredReport`
`makeRadiationDoseStructuredReportInstance(StructuredReport sr, AttributeList list)`
`void`
`merge(CTDose ctDoseToMerge)`
`protected void`
`parseSRContent()`
`void`
`setCompositeInstanceContext(CompositeInstanceContext compositeInstanceContext)`
`void`
`setDefaultAnatomy(CodedConcept defaultAnatomyConcept)`
`void`
`setDefaultAnatomy(CodedSequenceItem defaultAnatomy)`
`void`
`setDLPTotal(String dlpTotal)`
`void`
`setDLPTotal(String dlpSubTotalHead, String dlpSubTotalBody)`
`void`
`setDLPTotalPhantom(CTPhantomType dlpTotalPhantom)`
`void`
`setObserverContext(CommonDoseObserverContext observerContext)`
`void`
`setSourceOfDoseInformation(SourceOfDoseInformation source)`
`void`
`setSourceSOPInstanceUID(String sourceSOPInstanceUID)`
`boolean`
`specifiedDLPTotalMatchesDLPTotalFromAcquisitions()`
`String`
`toString()`
`String`
`toString(boolean detail, boolean pretty)`
`void`
`write(String filename)`
`void`
`write(String filename, String aet)`
`void`
`write(String filename, String aet, String manufacturerModelName)`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### headToBodyDLPConversionFactor

protected static double headToBodyDLPConversionFactor

### source

protected SourceOfDoseInformation source

### dlpTotal

protected String dlpTotal

### dlpTotalPhantom

protected CTPhantomType dlpTotalPhantom

### prohibitDLPTotalPhantomSettingFromAcquisitions

protected boolean prohibitDLPTotalPhantomSettingFromAcquisitions

### dlpSubTotals

protected SortedMap<CTPhantomType,String> dlpSubTotals

### totalNumberOfIrradiationEvents

protected int totalNumberOfIrradiationEvents

### scopeOfDoseAccummulation

protected ScopeOfDoseAccummulation scopeOfDoseAccummulation

### scopeUID

protected String scopeUID

### acquisitions

protected ArrayList<CTDoseAcquisition> acquisitions

### observerContext

protected CommonDoseObserverContext observerContext

### compositeInstanceContext

protected CompositeInstanceContext compositeInstanceContext

### startDateTime

protected String startDateTime

### endDateTime

protected String endDateTime

### description

protected String description

### sourceSOPInstanceUID

protected String sourceSOPInstanceUID

### defaultAnatomy

protected CodedSequenceItem defaultAnatomy

### sr

protected StructuredReport sr

### list

protected AttributeList list

## Constructor Details

### CTDose

public CTDose(StructuredReport sr) throws DicomException

Throws:
  `DicomException`

### CTDose

public CTDose(StructuredReport sr, AttributeList list) throws DicomException

Throws:
  `DicomException`

### CTDose

public CTDose(AttributeList list) throws DicomException

Throws:
  `DicomException`

### CTDose

public CTDose(String dlpTotal, int totalNumberOfIrradiationEvents, ScopeOfDoseAccummulation scopeOfDoseAccummulation, String scopeUID, String startDateTime, String endDateTime, String description)

### CTDose

public CTDose(String dlpSubTotalHead, String dlpSubTotalBody, int totalNumberOfIrradiationEvents, ScopeOfDoseAccummulation scopeOfDoseAccummulation, String scopeUID, String startDateTime, String endDateTime, String description)

### CTDose

public CTDose(ScopeOfDoseAccummulation scopeOfDoseAccummulation, String scopeUID, String startDateTime, String endDateTime, String description)

## Method Details

### makeRadiationDoseStructuredReportInstance

public RadiationDoseStructuredReport makeRadiationDoseStructuredReportInstance(StructuredReport sr) throws DicomException

Specified by:
  `makeRadiationDoseStructuredReportInstance` in interface `RadiationDoseStructuredReportFactory`
Throws:
  `DicomException`

### makeRadiationDoseStructuredReportInstance

public RadiationDoseStructuredReport makeRadiationDoseStructuredReportInstance(StructuredReport sr, AttributeList list) throws DicomException

Specified by:
  `makeRadiationDoseStructuredReportInstance` in interface `RadiationDoseStructuredReportFactory`
Throws:
  `DicomException`

### makeRadiationDoseStructuredReportInstance

public RadiationDoseStructuredReport makeRadiationDoseStructuredReportInstance(AttributeList list) throws DicomException

Specified by:
  `makeRadiationDoseStructuredReportInstance` in interface `RadiationDoseStructuredReportFactory`
Throws:
  `DicomException`

### merge

public void merge(CTDose ctDoseToMerge)

### parseSRContent

protected void parseSRContent() throws DicomException

Throws:
  `DicomException`

### addAcquisition

public void addAcquisition(CTDoseAcquisition acquisition)

### getObserverContext

public CommonDoseObserverContext getObserverContext()

### setObserverContext

public void setObserverContext(CommonDoseObserverContext observerContext)

### getCompositeInstanceContext

public CompositeInstanceContext getCompositeInstanceContext()

### setCompositeInstanceContext

public void setCompositeInstanceContext(CompositeInstanceContext compositeInstanceContext)

### setSourceOfDoseInformation

public void setSourceOfDoseInformation(SourceOfDoseInformation source)

### getSourceOfDoseInformation

public SourceOfDoseInformation getSourceOfDoseInformation()

### getDLPTotal

public String getDLPTotal()

### setDLPTotal

public void setDLPTotal(String dlpTotal)

### setDLPTotal

public void setDLPTotal(String dlpSubTotalHead, String dlpSubTotalBody)

### getDLPTotalToUse

public String getDLPTotalToUse()

### getDLPTotalPhantom

public CTPhantomType getDLPTotalPhantom()

### setDLPTotalPhantom

public void setDLPTotalPhantom(CTPhantomType dlpTotalPhantom)

### getDLPTotalPhantomToUse

public CTPhantomType getDLPTotalPhantomToUse()

### getDLPTotalPhantomDescriptionToUse

public String getDLPTotalPhantomDescriptionToUse()

### getDLPSubTotalHead

public String getDLPSubTotalHead()

### getDLPSubTotalBody

public String getDLPSubTotalBody()

### getTotalNumberOfIrradiationEvents

public int getTotalNumberOfIrradiationEvents()

### getScopeOfDoseAccummulation

public ScopeOfDoseAccummulation getScopeOfDoseAccummulation()

### getScopeUID

public String getScopeUID()

### getNumberOfAcquisitions

public int getNumberOfAcquisitions()

### getAcquisition

public CTDoseAcquisition getAcquisition(int i)

### getDLPTotalCombinedFromHeadAndBodyPhantomValues

public static double getDLPTotalCombinedFromHeadAndBodyPhantomValues(double dlpSubTotalHead, double dlpSubTotalBody)

### getDLPTotalCombinedFromHeadAndBodyPhantomValues

public static String getDLPTotalCombinedFromHeadAndBodyPhantomValues(String dlpSubTotalHead, String dlpSubTotalBody)

### getDLPTotalCombinedFromHeadAndBodyPhantomValues

public String getDLPTotalCombinedFromHeadAndBodyPhantomValues()

### getDLPTotalFromAcquisitions

public String getDLPTotalFromAcquisitions() throws NumberFormatException

Throws:
  `NumberFormatException`

### specifiedDLPTotalMatchesDLPTotalFromAcquisitions

public boolean specifiedDLPTotalMatchesDLPTotalFromAcquisitions()

### getStartDateTime

public String getStartDateTime()

### getEndDateTime

public String getEndDateTime()

### getDescription

public String getDescription()

### getSourceSOPInstanceUID

public String getSourceSOPInstanceUID()

### setSourceSOPInstanceUID

public void setSourceSOPInstanceUID(String sourceSOPInstanceUID)

### getDefaultAnatomy

public CodedSequenceItem getDefaultAnatomy()

### setDefaultAnatomy

public void setDefaultAnatomy(CodedSequenceItem defaultAnatomy)

### setDefaultAnatomy

public void setDefaultAnatomy(CodedConcept defaultAnatomyConcept)

### getDescriptionOfWhereThisObjectCameFrom

public String getDescriptionOfWhereThisObjectCameFrom()

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### toString

public String toString(boolean detail, boolean pretty)

### getHTMLTableHeaderRow

public static String getHTMLTableHeaderRow()

### getHTMLTableRow

public String getHTMLTableRow(boolean detail)

### getStructuredReport

public StructuredReport getStructuredReport() throws DicomException

Specified by:
  `getStructuredReport` in interface `RadiationDoseStructuredReport`
Throws:
  `DicomException`

### getStructuredReport

public StructuredReport getStructuredReport(boolean rebuild) throws DicomException

Throws:
  `DicomException`

### getAttributeList

public AttributeList getAttributeList() throws DicomException

Throws:
  `DicomException`

### write

public void write(String filename, String aet, String manufacturerModelName) throws DicomException, IOException

Throws:
  `DicomException`
  `IOException`

### write

public void write(String filename, String aet) throws DicomException, IOException

Throws:
  `DicomException`
  `IOException`

### write

public void write(String filename) throws DicomException, IOException

Throws:
  `DicomException`
  `IOException`